petsc-3.4.2 2013-07-02

# DMPlexGetLabelIdIS

Get the integer ids in a label

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetLabelIdIS(DM dm, const char name[], IS *ids)

Not Collective

### Input Parameters

| mesh | - The DMPlex object
| name | - The label name

### Output Parameter

ids -The integer ids, or NULL if the label does not exist

### Keywords

mesh

### See Also

DMLabelGetValueIS(), DMPlexGetLabelSize()

Level:beginner
Location:src/dm/impls/plex/plexlabel.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages